## xsettings-kde 0.9

=== Makefile ===
PACKAGE=xsettings-kde
VERSION=0.9
lib=lib
TAG := $(shell echo "V$(VERSION)_$(RELEASE)" | tr -- '-.' '__')
SVNROOT = svn+ssh://svn.mandriva.com/svn/soft/theme/$(PACKAGE)

CFLAGS= -Wall -g 

manager_objects = xsettings-kde.o xsettings-common.o xsettings-manager.o

all: xsettings-kde

xsettings-kde: $(manager_objects)
	$(CC) -o $@ $(manager_objects) -lX11

changelog:
	svn2cl --authors ../common/username.xml --accum
	rm -f ChangeLog.bak
	svn commit -m "Generated by svn2cl the `date '+%c'`" ChangeLog

clean:
	rm -f *.o xsettings-kde

checktag:
	@if [ "x$(VERSION)" == "x" -o "x$(RELEASE)" = "x" ]; then \
 	  echo usage is "make VERSION=version_number RELEASE=release_number dist" ; \
	  exit 1 ; \
	fi

dist: checktag changelog
	svn copy $(SVNROOT)/trunk $(SVNROOT)/tags/$(TAG) -m "$(TAG)"
	svn export $(SVNROOT)/tags/$(TAG) $(PACKAGE)-$(VERSION)
	tar cvf $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION)
	bzip2 -9vf $(PACKAGE)-$(VERSION).tar
	rm -rf $(PACKAGE)-$(VERSION)

distcheck: dist
	distdir=$(PACKAGE)-$(VERSION) ;		\
	tar xvfj $$distdir.tar.bz2 &&		\
	cd $$distdir &&				\
	make &&					\
	cd .. &&				\
	rm -rf $$distdir

=== debian/changelog ===
xsettings-kde (0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007632)
  * Move from obsolete pkg-config to pkgconf

 -- Bastian Germann <bage@debian.org>  Wed, 27 Mar 2024 23:51:52 +0000

xsettings-kde (0.9-2) unstable; urgency=low

  * [e89ec72] Add autostart file
  * [ce212db] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Mar 2010 11:54:37 +0100

xsettings-kde (0.9-1) unstable; urgency=low

  * Initial release (Closes: #512562)
  * [eaf81d3] drop DPI settings if they're not set in KDE

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jan 2009 18:58:38 +0100

=== debian/control ===
Source: xsettings-kde
Section: kde
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 7), libfontconfig1-dev, libglib2.0-dev,
 libx11-dev, pkgconf, cdbs
Standards-Version: 3.8.4

Package: xsettings-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSettings daemon for KDE
 This package provides a XSettings daemon for K Desktop Environment. It allows
 XSettings aware applications (all GTK+ 2 and GNOME 2 applications) to be
 informed instantly of changes in KDE configuration, such as theme name, default
 font and so on.

## xsettings-kde 0.12.3

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,24 @@
 PACKAGE=xsettings-kde
-VERSION=0.9
+VERSION=0.12.3
 lib=lib
 TAG := $(shell echo "V$(VERSION)_$(RELEASE)" | tr -- '-.' '__')
-SVNROOT = svn+ssh://svn.mandriva.com/svn/soft/theme/$(PACKAGE)
+SVNROOT = svn+ssh://dmorgan@svn.mageia.org/svn/soft/theme/$(PACKAGE)
 
-CFLAGS= -Wall -g 
+CFLAGS= -Wall -g
+xsettings_kde_CFLAGS = $(shell pkg-config --cflags x11 gio-2.0 gthread-2.0)
 
+xsettings_kde_LDFLAGS = $(shell pkg-config --libs x11 gio-2.0 gthread-2.0)
+
+manager_objects_CFLAGS = $(shell pkg-config --cflags x11 gio-2.0 gthread-2.0)
 manager_objects = xsettings-kde.o xsettings-common.o xsettings-manager.o
+
+.c.o:
+	$(CC) -c $(CFLAGS) $(xsettings_kde_CFLAGS) $< -o $@
 
 all: xsettings-kde
 
 xsettings-kde: $(manager_objects)
-	$(CC) -o $@ $(manager_objects) -lX11
+	$(CC) -o $@ $(manager_objects) $(LDFLAGS) $(xsettings_kde_LDFLAGS)
 
 changelog:
 	svn2cl --authors ../common/username.xml --accum

=== debian/changelog ===
xsettings-kde (0.12.3-1) unstable; urgency=medium

  * Team upload.
  * Move package to Debian/ team (with maintainer confirmation)
  * Point Homepage to Github
  * Add watch file
  * d/copyright: DEP5 + review
  * Switch from cdbs to dh
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Propagate hardening options
  * Do not override readDPI in patch since its not used anyway
  * d/control:
     - Build-Depends: s/libfontconfig1-dev/libfontconfig-dev/
     - Recommends: xsettingsd
       Closes: #1033843

 -- Andreas Tille <tille@debian.org>  Tue, 25 Feb 2025 08:23:43 +0100

=== debian/control ===
Source: xsettings-kde
Section: kde
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper-compat (= 13),
               libfontconfig-dev,
               libglib2.0-dev,
               libx11-dev,
               pkgconf
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/debian/xsettings-kde
Vcs-Git: https://salsa.debian.org/debian/xsettings-kde.git
Homepage: https://github.com/KDE/xsettings-kde

Package: xsettings-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xsettingsd
Description: XSettings daemon for KDE
 This package provides a XSettings daemon for K Desktop Environment. It allows
 XSettings aware applications (all GTK+ 2 and GNOME 2 applications) to be
 informed instantly of changes in KDE configuration, such as theme name, default
 font and so on.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/KDE/xsettings-kde/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
